Bug 1472166 - [abrt] xorg-x11-server-Xorg: OsLookupColor(): Segmentation fault at address 0x1a
[abrt] xorg-x11-server-Xorg: OsLookupColor(): Segmentation fault at address 0x1a
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:7ff04b849a1f927eb777faeef5d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-18 04:22 EDT by Chen_Min_Chin
Modified: 2018-05-29 08:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:08:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.22 KB, text/plain)
2017-07-18 04:22 EDT, Chen_Min_Chin
no flags Details
File: cpuinfo (823 bytes, text/plain)
2017-07-18 04:22 EDT, Chen_Min_Chin
no flags Details
File: dmesg (63.85 KB, text/plain)
2017-07-18 04:22 EDT, Chen_Min_Chin
no flags Details
File: dso_list (426 bytes, text/plain)
2017-07-18 04:22 EDT, Chen_Min_Chin
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (332 bytes, application/octet-stream)
2017-07-18 04:22 EDT, Chen_Min_Chin
no flags Details
File: usr_share_xorg_conf_d.tar.gz (1.86 KB, application/octet-stream)
2017-07-18 04:22 EDT, Chen_Min_Chin
no flags Details

  None (edit)
Description Chen_Min_Chin 2017-07-18 04:22:36 EDT
Version-Release number of selected component:
xorg-x11-server-Xorg-1.19.3-4.fc26

Additional info:
reporter:       libreport-2.9.1
crash_function: OsLookupColor
executable:     /usr/libexec/Xorg
kernel:         4.11.9-300.fc26.x86_64
runlevel:       N 5
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/libexec/Xorg (OsLookupColor+0x139) [0x59c629]
1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7fba86d3730f]
2: /usr/lib64/xorg/modules/drivers/qxl_drv.so (_init+0xd11b) [0x7fba834f2fdb]
3: /usr/lib64/xorg/modules/drivers/qxl_drv.so (_init+0xe02b) [0x7fba834f4a6b]
4: /usr/libexec/Xorg (xf86CrtcSetModeTransform+0x242) [0x4adee2]
5: /usr/libexec/Xorg (xf86SetDesiredModes+0x197) [0x4ae4f7]
6: /usr/lib64/xorg/modules/drivers/qxl_drv.so (_init+0xcdfc) [0x7fba834f29cc]
7: /usr/libexec/Xorg (xf86PruneDuplicateModes+0x1aec) [0x4b614c]
8: /usr/libexec/Xorg (xf86VTEnter+0x70) [0x477c40]
9: /usr/libexec/Xorg (xf86RemoveSIGIOHandler+0xb38) [0x49d4e8]
10: /usr/libexec/Xorg (xf86RemoveSIGIOHandler+0xe55) [0x49d8c5]
11: /lib64/libdbus-1.so.3 (dbus_connection_dispatch+0x2cd) [0x7fba88e631bd]
12: /lib64/libdbus-1.so.3 (dbus_connection_dispatch+0x6e8) [0x7fba88e63c48]
13: /usr/libexec/Xorg (config_fini+0x471) [0x496c41]
14: /usr/libexec/Xorg (OsCleanup+0x621) [0x59d591]
15: /usr/libexec/Xorg (WaitForSomething+0x1fb) [0x59603b]
16: /usr/libexec/Xorg (SendErrorToClient+0x113) [0x435643]
17: /usr/libexec/Xorg (InitFonts+0x420) [0x439890]
18: /lib64/libc.so.6 (__libc_start_main+0xea) [0x7fba869744da]
19: /usr/libexec/Xorg (_start+0x2a) [0x42357a]
Comment 1 Chen_Min_Chin 2017-07-18 04:22:39 EDT
Created attachment 1300314 [details]
File: backtrace
Comment 2 Chen_Min_Chin 2017-07-18 04:22:40 EDT
Created attachment 1300315 [details]
File: cpuinfo
Comment 3 Chen_Min_Chin 2017-07-18 04:22:42 EDT
Created attachment 1300316 [details]
File: dmesg
Comment 4 Chen_Min_Chin 2017-07-18 04:22:44 EDT
Created attachment 1300317 [details]
File: dso_list
Comment 5 Chen_Min_Chin 2017-07-18 04:22:45 EDT
Created attachment 1300318 [details]
File: etc_X11_xorg_conf_d.tar.gz
Comment 6 Chen_Min_Chin 2017-07-18 04:22:46 EDT
Created attachment 1300319 [details]
File: usr_share_xorg_conf_d.tar.gz
Comment 7 Fedora End Of Life 2018-05-03 04:44:43 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2018-05-29 08:08:57 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.